Retrieves all unavailability types

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the unavailability type

string

Required

Max length: 20

description

Long description

string

Max length: 100

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "84359d77-aabe-43ab-b56a-a5643a4e4ae2",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "sales_organization_id": "d67dbdb2-264c-4cd8-a01d-58fb38e8b8c6",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "bff27653-47ae-4278-a29e-1a2a6e8102c3",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "77a2f426-a481-4f0e-a381-8f03901df8f4",
    "db_currency_id": "891a70a7-c2d3-4feb-9e16-84f942190ae4",
    "db_language_id": "24cd56bd-6c23-4b92-b377-3c9d9ecee383",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-29T23:43:02.5026923+00:00"
  },
  "modified_dateutc": "2026-06-29T23:43:02.5026923+00:00"
}